## ros-lunar-pyros-utils 0.1.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pyros_utils)

# For ease of use, this CMakeLists allows to use this code from source, as if it were a normal catkin package.
# However no ROS/catkin debian package is provided for it.
# It is just a pip package that your packages should depend on (using rosdep pip dependency mechanism).
# We should follow closely https://github.com/gerkey/ros1_external_use

# Minimal Python module setup - catkin is assumed preinstalled along with ROS
# This assume catkin is installed along with a minimal ROS system.
find_package(catkin REQUIRED COMPONENTS
    catkin_pip
    rospy
    rosgraph
    roslaunch
    rostest
)

# defining current package as a package that should be managed by pip (not catkin - even though we make it usable with workspaces)
catkin_pip_package(pyros_utils)

## Unit tests
if (CATKIN_ENABLE_TESTING)

    ############
    # Nose Tests
    ############

    catkin_add_nosetests(pyros_utils/tests)
    # this test needs to be executable for rostest, so we need to add it specifically for nose
    catkin_add_nosetests(pyros_utils/tests/test_rostest_nose.py)

    ###########
    # ROS Tests
    ###########

    find_package(rostest REQUIRED)
    add_rostest(pyros_utils/tests/test_rostest_nose.test)

endif()

=== debian/changelog ===
ros-lunar-pyros-utils (0.1.4-0xenial) xenial; urgency=high

  * catkin > 0.2
  * Contributors: alexv

 -- AlexV <asmodehn@gmail.com>  Mon, 20 Mar 2017 15:00:00 -0000

ros-lunar-pyros-utils (0.1.3-0xenial) xenial; urgency=high

  * adding trick to patch import behavior from rospy generated __init__ relay.
  * now using ros-shadow-fixed in docker for travis
  * fixing typo in travis_checks
  * now testing with docker. added kinetic test. bumped catkin_pip requirements.
  * Contributors: AlexV, alexv

 -- AlexV <asmodehn@gmail.com>  Wed, 21 Dec 2016 15:00:00 -0000

ros-lunar-pyros-utils (0.1.2-0xenial) xenial; urgency=high

  * fixing travis file to check multiple distros.
  * fixing python package version not matching catkin package version.
  * Contributors: alexv

 -- AlexV <asmodehn@gmail.com>  Thu, 02 Jun 2016 15:00:00 -0000

ros-lunar-pyros-utils (0.1.1-0xenial) xenial; urgency=high

  * using renamed dependency catkin_pip
  * Contributors: alexv

 -- AlexV <asmodehn@gmail.com>  Wed, 01 Jun 2016 15:00:00 -0000

ros-lunar-pyros-utils (0.1.0-0xenial) xenial; urgency=high

  * now using shadow-fixed ros packages for travis test build
  * cleanup.
  * fixing tests
  * fixing cmakelists and setup.py. removed requirements.txt
  * cleaning up README, removed ros_utils since this is a pure ROS package, like pyros-test
  * fixing __init__ imports. added travis.yml.
  * extracted code from pyros-setup
  * Contributors: AlexV, alexv

 -- AlexV <asmodehn@gmail.com>  Tue, 31 May 2016 15:00:00 -0000

=== debian/control ===
Source: ros-lunar-pyros-utils
Section: misc
Priority: extra
Maintainer: AlexV <asmodehn@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin (>= 0.6.18), ros-lunar-catkin-pip (>= 0.2.0), ros-lunar-pyros-test (>= 0.0.3), ros-lunar-rosgraph (>= 1.11.19), ros-lunar-roslaunch (>= 1.11.19), ros-lunar-roslint (>= 0.10.0), ros-lunar-rosnode (>= 1.11.19), ros-lunar-rospy (>= 1.11.19), ros-lunar-rostest (>= 1.11.19), ros-lunar-rosunit (>= 1.11.12)
Homepage: 
Standards-Version: 3.9.2

Package: ros-lunar-pyros-utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-rosgraph (>= 1.11.19), ros-lunar-roslaunch (>= 1.11.19), ros-lunar-rospy (>= 1.11.19), ros-lunar-rostest (>= 1.11.19)
Description: Miscellaneous tools for pyROS

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-pyros-utils//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
